--- gzip.c.orig	2008-08-31 15:04:08.000000000 -0400
+++ gzip.c	2008-08-31 15:06:36.000000000 -0400
@@ -1637,7 +1637,7 @@
 	}
       }
 
-    if (futimens (ofd, ofname, timespec) != 0)
+    if (gzip_futimens (ofd, ofname, timespec) != 0)
       {
 	int e = errno;
 	WARN ((stderr, "%s: ", program_name));
--- lib/utimens.c.orig	2008-08-31 15:08:07.000000000 -0400
+++ lib/utimens.c	2008-08-31 15:08:28.000000000 -0400
@@ -75,7 +75,7 @@
    Return 0 on success, -1 (setting errno) on failure.  */
 
 int
-futimens (int fd ATTRIBUTE_UNUSED,
+gzip_futimens (int fd ATTRIBUTE_UNUSED,
 	  char const *file, struct timespec const timespec[2])
 {
   /* Some Linux-based NFS clients are buggy, and mishandle time stamps
@@ -185,5 +185,5 @@
 int
 utimens (char const *file, struct timespec const timespec[2])
 {
-  return futimens (-1, file, timespec);
+  return gzip_futimens (-1, file, timespec);
 }
--- lib/utimens.h.orig	2008-08-31 15:07:06.000000000 -0400
+++ lib/utimens.h	2008-08-31 15:07:34.000000000 -0400
@@ -1,3 +1,3 @@
 #include <time.h>
-int futimens (int, char const *, struct timespec const [2]);
+int gzip_futimens (int, char const *, struct timespec const [2]);
 int utimens (char const *, struct timespec const [2]);
